### Constructor

# Gimp LinkLayer new

since: 3.2

#### Declaration [src]

    GimpLinkLayer*
    gimp_link_layer_new (
      GimpImage* image,
      GFile* file
    )

#### Description [src]

Create a new link layer.

This procedure creates a link layer monitoring the specified `file`.

The new layer still needs to be added to the image as this is not automatic. Add the new layer with the `gimp_image_insert_layer()` method.

The arguments are kept as simple as necessary for the basic case. All link attributes, however, can be modified with the appropriate `gimp_link_layer_set_*()` procedures.

Available since: 3.2

#### Parameters

`image`

  Type: `GimpImage`

  The image.

  The data is owned by the caller of the function.

`file`

  Type: `GFile`

  The file this link layer will monitor.

  The data is owned by the caller of the function.

#### Return value

Type: `GimpLinkLayer`

         The new link layer. The object belongs to libgimp and you should not free it.

The data is owned by the called function.